// wtComDemoDlg.h : header file
//

#if !defined(AFX_WTCOMDEMODLG_H__AEDF39A6_5ABB_11DA_B5DC_00003948F527__INCLUDED_)
#define AFX_WTCOMDEMODLG_H__AEDF39A6_5ABB_11DA_B5DC_00003948F527__INCLUDED_

#include "Display.h"	// Added by ClassView

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

/////////////////////////////////////////////////////////////////////////////
// CWtComDemoDlg dialog

class CWtComDemoDlg : public CDialog
{
// Construction
public:
	CWtComDemoDlg(CWnd* pParent = NULL);	// standard constructor
	virtual ~CWtComDemoDlg();

	LRESULT OnWtNetworkReceive(WPARAM wParam, LPARAM lParam);

// Dialog Data
	//{{AFX_DATA(CWtComDemoDlg)
	enum { IDD = IDD_WTCOMDEMO_DIALOG };
	CString	m_strEdit;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CWtComDemoDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CWtComDemoDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnButton1();
	virtual void OnOK();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

	CDisplay m_OutputCtrl;

private:
	void OpenWtNetwork(void);
	void CloseWtNetwork(void);

	CFont m_Font;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_WTCOMDEMODLG_H__AEDF39A6_5ABB_11DA_B5DC_00003948F527__INCLUDED_)
